module ModTest5 interface;

export
  ModTestA = (i, DoTest);
  ModTestB = (j);

var
  i,j: integer;


procedure DoTest;


end.


module ModTest5 implementation;


procedure DoTest;
begin
  i := -9;
end;



end.


program Test(output);

import
  ModTestA;
  ModTestB;


begin
  DoTest;
  j := 6;
  if (i = -9) and (j = 6)
    then  writeln('OK')
    else  writeln('failed');
end.
